"""
Given two resistor values as input, the equivalent parallel resistance is calculated and displayed. Resistance values are in the unit of Ohm.
"""

# Single string is input with two resistance values
# separated by a comma. Single string is split at comma
# into two strings, each representing one of the resistor
# values.
prompt='Enter Two Comma-Separated Resistor Values (Ohm):'
r1_string, r2_string = input(prompt).split(',')

# Convert string to float data type in preparation for
# calculation.
r1 = float(r1_string)
r2 = float(r2_string)

# Calculate equivalent parallel resistance as float and
# then truncate to integer.
r = 1/(1/r1 + 1/r2)
r_int = int(r)

print('Equivalent Parallel Resistance (Ohm)= ',r_int)

