import tkinter as tk

def update_label():
    entry_char = var_1.get()
    entry_n = var_2.get()
    n_times = int(entry_n)
    message = entry_char * n_times
    lbl_4.configure(text=message)
    return

root = tk.Tk()
root.title('Display Character N Times')
root.geometry('250x200')

frame = tk.Frame(root, bg='blue', bd=2)
frame.pack(padx=0,pady=4)

lbl_1 = tk.Label(frame,text='Enter Character(s):')
var_1 = tk.StringVar()
ent_1 = tk.Entry(frame,textvariable=var_1, justify=tk.CENTER)
lbl_2 = tk.Label(frame,text='Enter Number of Times to Repeat:')
var_2 = tk.StringVar()
ent_2 = tk.Entry(frame,textvariable=var_2, justify=tk.CENTER)
lbl_3 = tk.Label(frame,text='Display:')
lbl_4 = tk.Label(frame, text=' ',width=20, bg='white')
btn = tk.Button(root,text='Display',command=update_label)

lbl_1.pack(fill=tk.X)
ent_1.pack(fill=tk.X)
lbl_2.pack(fill=tk.X)
ent_2.pack(fill=tk.X)
lbl_3.pack(fill=tk.X)
lbl_4.pack(fill=tk.X)
btn.pack()

root.mainloop()

