import timeit as ti
import numpy as np

num = 1000

def for_loop_list():
    for_list = []
    for i in range(num):
        for_list.append(i)
    return

def comp_list():
    comp_list = [i for i in range(num)]
    return

def numpy_array():
    numpy_array = np.linspace(0, num-1, num)
    return

for_time = ti.timeit(stmt=for_loop_list)
for_time = round(for_time,1)
print('for loop time (microsecond) =', for_time)

comp_time = ti.timeit(stmt=comp_list)
comp_time = round(comp_time,1)
print('list comprehensive time (microsecond) =', comp_time)

numpy_time = ti.timeit(stmt=numpy_array)
numpy_time = round(numpy_time, 1)
print('numpy time (microsecond) =', numpy_time)
