import scipy.optimize as opt
import numpy as np
import matplotlib.pyplot as plt

def func(x):
    y = x**2 + x - 1
    return y

x = np.linspace(-2,+2, 1000)
y = func(x)

root_1 = opt.brentq(func,-10,-1)
root_2 = opt.brentq(func,0,2)
print(root_1, root_2)

plt.plot(x,y)
plt.show()



