import Utilities.gui_creator as gc
import Utilities.nidaq_operations as no
import time
import threading

root = gc.create_window(title='',size='100x50')

#channel_name = 'Dev1/port0/line0,Dev1/port0/line1'
channel_name = 'Dev1/port0/line0:1'

task = no.create_do_task(channel_name)

def toggle_leds():

    while btn.cget('text') == 'Stop':
        task.write([False,True])
        time.sleep(1.)
        task.write([True,False])
        time.sleep(1.)
        
    return

def toggle():

    if btn.cget('text') == 'Start':
        btn.config(text = 'Stop')
    elif btn.cget('text') == 'Stop':
        btn.config(text='Start')

    t = threading.Thread(target=toggle_leds)
    t.start()

    return

btn = gc.action_button(root,label='Start',
                       action=toggle)
root.mainloop()

task.close()

