import random
import numpy as np
import matplotlib.pyplot as plt

num_trials = 1000000
trial_list = [random.random() for trial in range(num_trials)]

std_list = np.std(trial_list)
mean_list = np.mean(trial_list)
print(mean_list,std_list)

plt.hist(trial_list,bins=100)
plt.xlabel('Random Number')
plt.ylabel('Number of Occurences')
plt.show()


 
