import Utilities.gui_creator as gc
import time
import threading

def time_display():

    display = 0
    while btn.cget('text') == 'Stop':
        time.sleep(1.)
        display += 1
        lbl.config(text=str(display))

    return

def toggle():

    if btn.cget('text') == 'Start':
        btn.config(text = 'Stop')
    elif btn.cget('text') == 'Stop':
        btn.config(text='Start')

    t = threading.Thread(target=time_display)
    t.start()

    return

root = gc.create_window(title='Timer', size='150x100')

lbl = gc.create_indicator(root, 'Elapsed Time (s)')

btn = gc.action_button(root, label='Start', action=toggle)

root.mainloop()
