
import tkinter as tk
import time

import threading

def alternate_states():
    
    while True:
        time.sleep(0.5)
        bg = lbl.cget('bg')
        fg = lbl.cget('fg')
        lbl.configure(bg=fg, fg=bg)



root = tk.Tk()
root.title('60 Beats Per Minute Metronome')
root.geometry('300x80')

frame = tk.Frame(root)
frame.pack(pady=25)

lbl = tk.Label(frame,text='',width=10)
lbl.pack()
lbl.config(bg='cyan',fg='white')

t = threading.Thread(target=alternate_states)
t.start()

root.mainloop()

