import Utilities.gui_creator as gc
import Utilities.mccdaq_operations as mo
import time
import threading

root = gc.create_window(title='',size='100x50')

board_num = 0
mo.config_do_port(board_num)

def toggle_leds():

    while btn.cget('text') == 'Stop':
        mo.write_do_port(board_num, data_value=1)
        time.sleep(1.)
        mo.write_do_port(board_num, data_value=2)
        time.sleep(1.)
        
    return

def toggle():

    if btn.cget('text') == 'Start':
        btn.config(text = 'Stop')
    elif btn.cget('text') == 'Stop':
        btn.config(text='Start')

    t = threading.Thread(target=toggle_leds)
    t.start()

    return

btn = gc.action_button(root,label='Start',
                       action=toggle)
root.mainloop()


